Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.search.ui
Interface ISearchResultPage

All Superinterfaces:
  IPage, IPageBookViewPage

All Known Implementing Classes:
  AbstractTextSearchViewPage

public interface ISearchResultPage
extends IPageBookViewPage

A `ISearchResultPage` is used to render the search results for a particular class of `ISearchResult` (as specified in the `searchResultClass` attribute of the extension point) in the search view.
Extensions of extension point `org.eclipse.search.ui.searchResultViewPages` must implement this interface.

Clients may implement this interface.

Since:
  3.0

Method Summary
`String` | `getID()` Returns the id set via `setID`.
`String` | `getLabel()` Returns a user readable label for this search result page.
`Object` | `getUIState()` Returns an Object representing the current user interface state of the page.
`void` | `restoreState(IMemento memento)` Restores the page state.
`void` | `saveState(IMemento memento)` Saves the page state in a memento.
`void` | `setID(String id)` Sets the id for this page.
`void` | `setInput(ISearchResult search, Object uiState)` Sets the search result to be shown in this search results page.
`void` | `setViewPart(ISearchResultViewPart part)` Sets the search view this search results page is shown in.

Methods inherited from interface org.eclipse.ui.part.IPageBookViewPage
`getSite, init`

Methods inherited from interface org.eclipse.ui.part.IPage
`createControl, dispose, getControl, setActionBars, setFocus`

Method Detail

### getUIState

    public Object getUIState()

  Returns an Object representing the current user interface state of the page. For example, the current selection in a viewer. The UI state will be later passed into the `setInput()` method when the currently shown `ISearchResult` is shown again.

  Returns:
    an object representing the UI state of this page

### setInput

    public void setInput(ISearchResult search,
                         Object uiState)

  Sets the search result to be shown in this search results page. Implementers should restore UI state (e.g. selection) from the previously saved `uiState` object.

  Parameters:
    `search` - the search result to be shown
    `uiState` - the previously saved UI state
  See Also:
    `getUIState()`

### setViewPart

    public void setViewPart(ISearchResultViewPart part)

  Sets the search view this search results page is shown in. This method will be called before the page is shown for the first time (i.e. before the page control is created).

  Parameters:
    `part` - the parent search view

### restoreState

    public void restoreState(IMemento memento)

  Restores the page state. Note that this applies only to state that is saved across sessions.

  Parameters:
    `memento` - a memento to restore the page state from or `null` if no previous state was saved
  See Also:
    `setInput(ISearchResult, Object)`

### saveState

    public void saveState(IMemento memento)

  Saves the page state in a memento. Note that this applies to state that should persist across sessions.

  Parameters:
    `memento` - a memento to receive the object state
  See Also:
    `getUIState()`

### setID

    public void setID(String id)

  Sets the id for this page. This method will be called before any other initialization is done.

  Parameters:
    `id` - the id for this page

### getID

    public String getID()

  Returns the id set via `setID`.

  Returns:
    the id of this page

### getLabel

    public String getLabel()

  Returns a user readable label for this search result page. The label will be used to describe the contents for the page to the user (for example it will be displayed in the search view title bar). To take an example from file search, a label might read like this: '"test" 896 matches in Workspace'.

  Returns:
    the user readable label for this search result page

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.